carmelo81
Guest
Bye to all,
I use the lisp code below (not mine) to make a double offset, only that in the end the new lines are automatically moved to layer 0 and I don't understand why.
Can you help me solve this?
Thank you very much
I use the lisp code below (not mine) to make a double offset, only that in the end the new lines are automatically moved to layer 0 and I don't understand why.
Can you help me solve this?
Thank you very much
Code:
(refun c:k (/ ent dist obj krd)
(setq dist (* 0.5 (getdist "\nenter offset distance: ")))
(while (not graft)
(if (eq (setq ent (car))
nil
)
(princ "\nthat was not a line. please select again: ")
)
)
(initget (+ 1 2 4 64))
(setq obj (vlax-ename->vla-object ent))
(fla-offset obj dist)
(fla-offset obj (* dist -1))
(vla-erase obj)
(princ)
)